package com.ruoyi.project.patrol.dev.mapper;

import java.util.List;
import com.ruoyi.project.patrol.dev.domain.TDevDownspout;

/**
 * 落水管Mapper接口
 * 
 * @author admin
 * @date 2023-11-08
 */
public interface TDevDownspoutMapper 
{
    /**
     * 查询落水管
     * 
     * @param id 落水管主键
     * @return 落水管
     */
    public TDevDownspout selectTDevDownspoutById(Long id);

    /**
     * 查询落水管列表
     * 
     * @param tDevDownspout 落水管
     * @return 落水管集合
     */
    public List<TDevDownspout> selectTDevDownspoutList(TDevDownspout tDevDownspout);

    /**
     * 新增落水管
     * 
     * @param tDevDownspout 落水管
     * @return 结果
     */
    public int insertTDevDownspout(TDevDownspout tDevDownspout);

    /**
     * 修改落水管
     * 
     * @param tDevDownspout 落水管
     * @return 结果
     */
    public int updateTDevDownspout(TDevDownspout tDevDownspout);

    /**
     * 删除落水管
     * 
     * @param id 落水管主键
     * @return 结果
     */
    public int deleteTDevDownspoutById(Long id);

    /**
     * 批量删除落水管
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTDevDownspoutByIds(Long[] ids);
}
